if( WITH_LAME )
add_subdirectory( mp3lame )
endif()

if( WITH_OGGVORBIS )
add_subdirectory( oggvorbis )
endif()


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kaffeineaudioencoder (shared)

tde_add_library( kaffeineaudioencoder SHARED AUTOMOC

  SOURCES
        kaffeineaudioencoder.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeparts-shared
     ${VORBIS_LIBRARIES}
     
  VERSION 0.0.1

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

install(
    FILES kaffeineaudioencoder.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)

install(
   FILES kaffeineaudioencoder.desktop
   DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

